subroutine bsort_2v(n,length,vchar,vi)
!--------------------------------------------------------------------
! Subroutine per ordinare due vettori, uno intero e uno di caratteri.
! Ordina in senso crescente quello intero ed esegue le stesse
! permutazioni su quello di caratteri
!--------------------------------------------------------------------
implicit none

! Variabili in Input
integer, intent(in)                  :: n,length
! Variabili in Input/Output
character(len=length), intent(inout) :: vchar(n)
integer, intent(inout)               :: vi(n)
! Variabili locali
integer                              :: i,j

! Inizio ciclo principale
do i = 1,n-1
   ! Confronta l'elemento i-esimo con i successivi
   do j = i+1,n
      ! Se l'elemento j-esimo  pi piccolo mettilo in posizione i
      if (vi(j) .lt. vi(i)) then
         call swapi(vi(j),vi(i))
         call swapchar(length,vchar(j),vchar(i))
      endif
   enddo
enddo

end subroutine bsort_2v
